import axios from "@/utils/request";
import request from "@/utils/request";





export function getWorkBindBusTypes(query) {
  return axios({
    url: '/udiwms/sysWorkplace/getWorkBindBusTypes',
    method: 'get',
    params: query
  })
}



export function filterListByWorkplace(query) {
  return axios({
    url: '/udiwms/sysWorkplace/filterListByWorkplace',
    method: 'get',
    params: query
  })
}




//绑定单据类型
export function bindBusType(query) {
  return axios({
    url: "/udiwms/sysWorkplace/workBindBusType",
    method: "post",
    data: query
  });
}



export function addBusType(query) {
  return axios({
    url: "/udiwms/sysWorkplace/addBusType",
    method: "post",
    data: query
  });
}


export function updateType(query) {
  return axios({
    url: "/udiwms/sysWorkplace/updateType",
    method: "post",
    data: query
  });
}




//移除单据类型
export function removeBusTypeById(query) {
  return axios({
    url: "/udiwms/sysWorkplace/removeBusTypeById",
    method: "post",
    data: query
  });
}


//移除单据类型
export function removeBusTypeByBusTypeAndWorkplace(query) {
  return axios({
    url: "/udiwms/sysWorkplace/removeBusTypeByBusTypeAndWorkplace",
    method: "post",
    data: query
  });
}


//绑定单据类型
export function workplaceBindBusType(query) {
  return axios({
    url: "/udiwms/sysWorkplace/workplaceBindBusType",
    method: "post",
    data: query
  });
}
